Subject: RE: bug#30539: 26.0; `char-displayable-p' is much slower in Emacs 25 and 26

From: Drew Adams <[email-masked]>
Date: Wed, 28 Feb 2018 11:53:49 -0800 (PST)

> But I have noticed that displaying files containing certain Unicode
> characters can lock Emacs for a little while.  I wonder if that is
> also some manifestation of this bug.  Do you also see a slow down when
> you visit a file containing the characters in the `char-names'
> variable you defined?  Or is the slowness limited to running them
> through `char-displayable-p'?

If `inhibit-compacting-font-caches is `t' then there is no
slowdown in `char-displayable-p'.  The slowdown is for chars
that are not displayable, it seems.

If such chars are inserted in a buffer where they are not
displayable (which happens in my case) then they appear
as rectangles enclosing the char code.  There is no slowdown
displaying that - the chars themselves are not displayed.

(I was using `char-displayable-p' to optionally exclude
such chars from a list of chars and their descriptions.)